Subject: Re: [PATCH] cmake: don't invoke msgfmt with --statistics

From: Junio C Hamano <[email-masked]>
Date: Wed, 28 Dec 2022 07:33:04 +0900

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> I think the only justification that's needed here (and which should
> short-circuit any questions about what someone using cmake may or may
> not like) is the one given in my 2f12b31b746 (Makefile: don't invoke
> msgfmt with --statistics, 2021-12-17).
>
> I.e. this was something I added as part of the initial i18n support, but
> I had no good reason for using --statistics other than ad-hoc eyeballing
> the output at the time.
>
> The CMake recipe then just copy/pasted whatever it found in the
> Makefile, and the two then drifted apart.
>
> So, in general with those sorts of changes I think it's sufficient to
> say that we're not bringing them in line again, unless there's some
> reason to suppose that the cmake version has since come to rely on the
> divergence for some reason.
>
> Which, in this case is clearly not the case, as we're just spewing this
> output to the user's terminal.

OK, let's hear from Windows folks about that.  I do not care either
way myself (after all it is just extra lines in the output), but for
a topic that was once merged to 'next' that later turned out to be
unwanted (instead of simply being a buggy implementation of the
right idea), I'd like to hear from those who have been depending on
whatever the current behaviour is.

Thanks.